com.streambase.liveview.client

## Class LiveViewQuerySyntaxException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.streambase.sb.StreamBaseException
      - - com.streambase.liveview.client.LiveViewException
        - - com.streambase.liveview.client.LiveViewQuerySyntaxException

- All Implemented Interfaces:
    LocatedItem, Serializable

      public final class LiveViewQuerySyntaxException
      extends LiveViewException

  Specific LiveViewException thrown when query syntax error occurs
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiveViewQuerySyntaxException(int code, String message)`
    `LiveViewQuerySyntaxException(LiveViewExceptionType type, Object[] params)`
    `LiveViewQuerySyntaxException(LiveViewExceptionType type, Throwable cause, Object... params)`

  - ### Method Summary

    - ### Methods inherited from class com.streambase.liveview.client.LiveViewException

      `getErrorCode, getErrorType`

    - ### Methods inherited from class com.streambase.sb.StreamBaseException

      `asXmlStringSingle, asXmlStringStrict, asXmlStringStrict, equals, getParams, hashCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.streambase.sb.util.LocatedItem

      `getLocation`

- - ### Constructor Detail

    - #### LiveViewQuerySyntaxException

          public LiveViewQuerySyntaxException(LiveViewExceptionType type,
                                              Object[] params)

    - #### LiveViewQuerySyntaxException

          public LiveViewQuerySyntaxException(LiveViewExceptionType type,
                                              Throwable cause,
                                              Object... params)

    - #### LiveViewQuerySyntaxException

          public LiveViewQuerySyntaxException(int code,
                                              String message)

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.